import request from '@/utils/request'

export default {
  //列表
  channelGroupList: function(operator) {
    return request({
      url: '/channelGroup/list',
      method: 'POST',
      data: operator
    })
  },

  //通道组组删除
  channelGroupIdDelete: function(channelGroupId){
    return request({
      // url: '/supplier/bankcard/' + supplierDelete + "/" + id,
      url: '/channelGroup/delete/' + channelGroupId,
      method: 'delete',
      // data:data
    })
  },

  //添加
  channelGroupAdd:function(data) {
      return request({
          url:"/channelGroup/add",
          method: "post",
          data:data
      })
  },
  //修改
  channelGroupUpdate:function(data) {
      return request({
          url:"/channelGroup/update",
          method: "put",
          data:data
      })
  },
  //策略
  distributeGroup:function(data) {
      return request({
          url:"/distributeGroup/getAllPolicy",
          method: "get",
          data:data
      })
  },
  //通道
  getAllChannelnfos:function(data) {
      return request({
          url:"/channel/getAllChannelnfos",
          method: "get",
          params:data
      })
  },
  //通道删除
  channelnfosdelete:function(id) {
      return request({
          url:"/distGroupChannel/delete/" + id,
          method: "delete",
      })
  },
  //分发组删除
  distributeGroupDelete:function(distributeGroupId) {
      return request({
          url:"/distributeGroup/delete/" + distributeGroupId,
          method: "delete",

      })
  },

}
